Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.matrix
Class NameMatrixColumn

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.matrix.AbstractMatrixColumn
          edu.stanford.smi.protegex.owl.ui.matrix.NameMatrixColumn

All Implemented Interfaces:
  EditableMatrixColumn, MatrixColumn, SortableMatrixColumn

    public class NameMatrixColumn

extends AbstractMatrixColumn
implements EditableMatrixColumn, SortableMatrixColumn

Author:
  Holger Knublauch

Constructor Summary
`NameMatrixColumn()`

Method Summary
`TableCellRenderer` | `getCellRenderer()`
`Comparator` | `getSortComparator()`
`TableCellEditor` | `getTableCellEditor()`
`boolean` | `isCellEditable(RDFResource instance)`
`void` | `setValueAt(RDFResource instance, Object value)` Called when editing has been finished.

Methods inherited from class edu.stanford.smi.protegex.owl.ui.matrix.AbstractMatrixColumn
`getName, getWidth`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.ui.matrix.MatrixColumn
`getName, getWidth`

Methods inherited from interface edu.stanford.smi.protegex.owl.ui.matrix.MatrixColumn
`getName, getWidth`

Constructor Detail

### NameMatrixColumn

    public NameMatrixColumn()

Method Detail

### getCellRenderer

    public TableCellRenderer getCellRenderer()

  Specified by:
    `getCellRenderer` in interface `MatrixColumn`
  Overrides:
    `getCellRenderer` in class `AbstractMatrixColumn`

### getSortComparator

    public Comparator getSortComparator()

  Specified by:
    `getSortComparator` in interface `SortableMatrixColumn`

### getTableCellEditor

    public TableCellEditor getTableCellEditor()

  Specified by:
    `getTableCellEditor` in interface `EditableMatrixColumn`

### isCellEditable

    public boolean isCellEditable(RDFResource instance)

  Specified by:
    `isCellEditable` in interface `EditableMatrixColumn`

### setValueAt

    public void setValueAt(RDFResource instance,
                           Object value)

  Description copied from interface: `EditableMatrixColumn`
  Called when editing has been finished.

  Specified by:
    `setValueAt` in interface `EditableMatrixColumn`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.